#############################################
######### Use Non-Panel, long data ##########
#############################################
rm(list=ls())
library(Cairo)
library(aod)

setwd("C:/Users/uspskm/Desktop/JCR replic/")
load("Fig3_sims.RData")  
    
#*******************************************************************************
## By Stage: Dem vs. Aut - zooming in on the no overlap // PAPER VERSION OF GRAPHS
    
# Mil
dev.new(width=5.5, height=5.5)
CairoPDF("sims - mil, dem vs aut (lines, 12-200).pdf", 6, 6,  bg="transparent")
plot(final.dem.mil$t, final.dem.mil$pstate5, xlim=c(12,200), ylim=c(0,1), lty=1, lwd=2, type="l", main="Military @ 12 mos.", ylab="Pr(Resolution)", xlab="Months Since Challenge Initiated")
lines(final.dem.mil$t, final.dem.mil$pstate5_u, lty=1)
lines(final.dem.mil$t, final.dem.mil$pstate5_l, lty=1)
lines(final.aut.mil$t, final.aut.mil$pstate5_l, lty=2)
lines(final.aut.mil$t, final.aut.mil$pstate5_u, lty=2)
lines(final.aut.mil$t, final.aut.mil$pstate5, lty=2, lwd=2)
legend(15, 1.05, c("Democratic Challenger","Autocratic Challenger"), col="black", lty=c(1,2), lwd=c(2,2), bty="n")
dev.off()

# Neg
dev.new(width=5.5, height=5.5)
CairoPDF("sims - neg, dem vs aut (lines, 12-200).pdf", 6, 6,  bg="transparent")
plot(final.dem.neg$t, final.dem.neg$pstate5, xlim=c(12,200), ylim=c(0,1), lty=1, lwd=2, type="l", main="Negotiations @ 12 mos.", ylab="Pr(Resolution)", xlab="Months Since Challenge Initiated")
lines(final.dem.neg$t, final.dem.neg$pstate5_u, lty=1)
lines(final.dem.neg$t, final.dem.neg$pstate5_l, lty=1)
lines(final.aut.neg$t, final.aut.neg$pstate5_l, lty=2)
lines(final.aut.neg$t, final.aut.neg$pstate5_u, lty=2)
lines(final.aut.neg$t, final.aut.neg$pstate5, lty=2, lwd=2)
legend(15, 1.05, c("Democratic Challenger","Autocratic Challenger"), col="black", lty=c(1,2), lwd=c(2,2), bty="n")
dev.off()