
######################################################
######### Replicate the results of Table 11 ##########
######################################################

rm(list=ls())
library(foreign)
library(survival)
library(mstate)

dat <- read.dta("4 - h&a - continuous, disagg stages (5 stgs).dta")

dat$from <- dat$stage
dat$to <- dat$nextStage
dat$start <- dat$t0
dat$stop <- dat$t


############################################
###### Estimate Semi-Parametric Model ######
############################################

#Estimate a multi-state model with transition-specific covariates and baseline hazards stratified by transition
semi.4 <- coxph(Surv(start, stop, status) ~  
	milratio1 + strvalue1  + tgtodi1 + chgodi1 + netdemoc1 + onetdem1 +
	milratio2 + strvalue2  + tgtodi2 + chgodi2 + netdemoc2 + onetdem2 +
	milratio3 + strvalue3  + tgtodi3 + chgodi3 + netdemoc3 + onetdem3 +
	milratio4 + strvalue4  + tgtodi4 + chgodi4 + netdemoc4 + onetdem4 +
	milratio5 + strvalue5  + tgtodi5 + chgodi5 + netdemoc5 + onetdem5 +
	milratio6 + strvalue6  + tgtodi6 + chgodi6 + netdemoc6 + onetdem6 +
	milratio7 + strvalue7  + tgtodi7 + chgodi7 + netdemoc7 + onetdem7 +
	milratio8 + strvalue8  + tgtodi8 + chgodi8 + netdemoc8 + onetdem8 +
	milratio9 + strvalue9  + tgtodi9 + chgodi9 + netdemoc9 + onetdem9 +
	milratio10 + strvalue10  + tgtodi10 + chgodi10 + netdemoc10 + onetdem10 +
	milratio11 + strvalue11  + tgtodi11 + chgodi11 + netdemoc11 + onetdem11 +
	milratio12 + strvalue12  + tgtodi12 + chgodi12 + netdemoc12 + onetdem12 +

strata(trans), data = dat, method = "efron")
summary(semi.4)
