/* 	Recording whether dispute is still ongoing at the end of 1995. 	*/
	
qui tab dispno2 if(datetm>=tm(1995m1))
return list	// 67 different disputes have observations sometime in 1995
	
// Reading through the book, and coding everything by hand
gen ongoing = 0
label variable ongoing "1 if dispute is ongoing at end of 1995, 0 oth. [book confirmed]"

* Appendix B: Europe
local rgn = "europe"
	qui tab dispno2 if(datetm>=tm(1995m1) & region=="`rgn'" )
	return list	// 8 

recode ongoing (0=1) if(region=="`rgn'" & dispno==10)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==11) //ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==21) //ong (but resolved in 1999)
recode ongoing (0=1) if(region=="`rgn'" & dispno==45) //ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==54) //ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==69) //ong (but resolved in 1997)
recode ongoing (0=1) if(region=="`rgn'" & dispno==71) //ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==80) //ong

	
* Appendix C: NEast, MEast, N. Africa
local rgn = "Near/Middle East"
	qui tab dispno2 if(datetm>=tm(1995m1) & region=="`rgn'" )
	return list	// 13 

recode ongoing (0=1) if(region=="`rgn'" & dispno==13)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==14)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==19)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==22)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==40)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==52)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==61)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==62)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==63)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==65)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==67)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==79)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==88)	//ong


* Appendix D: Africa
local rgn = "Africa"
	qui tab dispno2 if(datetm>=tm(1995m1) & region=="`rgn'" )
	return list	// 10 

recode ongoing (0=1) if(region=="`rgn'" & dispno==4)	//ong (sent for arbitration to ICJ in 1995)
recode ongoing (0=1) if(region=="`rgn'" & dispno==10)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==24)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==27)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==34)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==35)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==39)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==43)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==46)	//ong
recode ongoing (0=1) if(region=="`rgn'" & dispno==48)	//ong

* Appendix E: CAsia, FEast, Pacific
local rgn = "asia"
	qui tab dispno2 if(datetm>=tm(1995m1) & region=="`rgn'" )
	return list	// 23

recode ongoing (0=1) if(region=="`rgn'" & dispno==3)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==9)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==15)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==17)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==20)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==24)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==26)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==28)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==30)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==31)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==37)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==44)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==45)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==46)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==47)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==50)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==51)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==55)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==56)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==57)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==58)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==62)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==65)	//ong 


* Appendix F: NAm, SAm
local rgn = "americas"
	qui tab dispno2 if(datetm>=tm(1995m1) & region=="`rgn'" )
	return list	// 13
	
recode ongoing (0=1) if(region=="`rgn'" & dispno==1)	//ong 
recode ongoing (.=0) if(region=="`rgn'" & dispno==2)	//CONCLUDED.  Fall 1995.
recode ongoing (0=1) if(region=="`rgn'" & dispno==6)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==19)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==22)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==24)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==27)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==34)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==37)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==38)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==46)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==48)	//ong 
recode ongoing (0=1) if(region=="`rgn'" & dispno==50)	//ong 

